<template>
    <form action="" @submit.prevent="formHandler">
        <input v-model="name" type="text" placeholder="Name">
        <br>
        <select v-model="framework" name="framework" id="framework">
            <option>Выбрать фреймворк</option>
            <option value="django">Django</option>
            <option value="flask">Flask</option>
            <option value="tornado">Tornado</option>
        </select>
        <button>Отправить</button>
    </form>
</template>

<script>
export default {
    name: "MyForm",
    data() {
        return {
            name: null,
            framework: null
        };
    },
    methods: {
        formHandler() {
            alert(`Кнопка нажата! ${this.name} ${this.framework}`);
        }
    }
}
</script>

<style scoped>

</style>
